#!/bin/sh -e
# IVLE staff project export script
# ${project.project_set.offering.subject.name} -- ${project.name}
# Script current as of ${format_datetime(now)}
# Script for IVLE user '${user.login}'

# DO NOT EDIT THIS FILE -- IT HAS BEEN AUTOMATICALLY GENERATED

# This script exports all submissions to the above project as of the above
# date. Running this script will download the submissions from the IVLE server
# to your local machine for inspection, marking and testing.
# Only the above-named user can successfully run this script.

# If you wish to capture any submissions made since the above date, you will
# need to re-generate this script from the project page in IVLE.

# INSTRUCTIONS:
# Make this file executable (chmod +x project-export.sh)
# From an empty directory, run the command:
# $ ./project-export.sh

# Submissions: ${project.latest_submissions.count()}/${project.project_set.assigned.count()}
# * Late submissions (number of days late)

{% if project.latest_submissions.count() == 0 %}# There are no submissions.{% end %}{% if project.latest_submissions.count() > 0 %}# Group		Submitter		Date
{% for submission in project.latest_submissions %}# {% choose submission.assessed.principal is submission.submitter %}{% when True %}-{% end %}{% otherwise %}${submission.assessed.principal.short_name}{% end %}{% end %}		${submission.submitter.short_name}		${submission.date_submitted.strftime("%Y-%m-%d %H:%M:%S")}{% if submission.late %}* (${submission.days_late}){% end %}
${submission.get_svn_export_command(req)}
{% end %}
{% end %}
